
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/usb/usbaudio.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN sound/usb/usbaudio.c~git-alsa-usbaudio-fix sound/usb/usbaudio.c
--- 25/sound/usb/usbaudio.c~git-alsa-usbaudio-fix	2005-06-18 22:33:03.000000000 -0700
+++ 25-akpm/sound/usb/usbaudio.c	2005-06-18 22:33:30.000000000 -0700
@@ -3273,11 +3273,15 @@ static void snd_usb_audio_disconnect(str
 		snd_card_disconnect(card);
 		/* release the pcm resources */
 		list_for_each(p, &chip->pcm_list) {
-			snd_usb_stream_disconnect(p, &usb_audio_driver);
+			snd_usb_stream_disconnect(p);
 		}
 		/* release the midi resources */
 		list_for_each(p, &chip->midi_list) {
-			snd_usbmidi_disconnect(p, &usb_audio_driver);
+			snd_usbmidi_disconnect(p);
+		}
+		/* release mixer resources */
+		list_for_each(p, &chip->mixer_list) {
+			snd_usb_mixer_disconnect(p);
 		}
 		usb_chip[chip->index] = NULL;
 		up(&register_mutex);
_
